function [adj_ESS] = Calc_new_ESS(x, gammat, loglike, target_ESS)

z = exp(x) / (1 + exp(x));

newgammat = gammat + (1 - gammat) * z;

logweight = loglike * (newgammat - gammat);
        
weight = exp(logweight - max(logweight));
weight = weight / sum(weight);
ESS = sum(weight)^2 / sum(weight.^2);
adj_ESS = ESS - target_ESS;

