load 'tecator_short.txt'

tecator1 = reshape(tecator_short', 125, 240)';

data = tecator1(1:172, 1:100);
target = tecator1(1:172, 124);

meandata = mean(data);
for i = 1:100
    data(:, i) = (data(:, i) - meandata(i));
end
target = target - mean(target);



g = 100;
gprior = 0;
mode = 1;
RAPA = 1;
hparam = 5 / 100;
tau = 0.25;
nu = 1;
num_burn= 10000;
num_its = 200000;
num_thin = 1;
num_reps = 25;

[output] = IA_PT_sampler(data, target, g, gprior, mode, RAPA, hparam, tau, nu, num_burn, num_its, num_thin, num_reps, exp(linspace(0, -5, 5)));
figure(1)
subplot(1,1,1)
plot(output.prob_inclusion)
subplot(1,1,2)
plot(output.modelsize)
subplot(1,1,3)
plot(output.zetaAS)
subplot(1,14)
plot(output.zetaDS)

c_ESS = 0.7;
num_parts = 5000;
num_its = 50;
[output] = IA_SMC_sampler(data, target, g, gprior, RAPA, hparam, tau, c_ESS, nu, num_parts, num_its);

figure(2)
subplot(1,1,1)
plot(output.prob_inclusion)
subplot(1,1,2)
plot(output.modelsize)
subplot(1,1,3)
plot(output.zetaAS)
subplot(1,14)
plot(output.zetaDS)
